Guard Erstack:
Hmm, how to explain it.... Basically, the ruins are haunted! At one time it was a thriving Orcish city, but now it's just a shell of its former self. Only inhabitants you'll find out there are evil spirits and insects! They say that if you bury a bottle of liquor under the ruins, you'll get an amazing Kofporch! I've heard there's even an old Kofporch jug buried under the Beacon Mound of Pa'agrio! If I could have a glass of that, I'd die a warm and happy man!
Return